"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doTransform = exports.validateConfig = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const constants_1 = require("./constants");
const file_1 = require("./file");
function validateConfig(vcConfig) {
    // no other things to validate
}
exports.validateConfig = validateConfig;
function doTransform(vcConfig, ctx) {
    console.log(`Next.js edge transform STARTING for '${ctx.functionPath}'.`);
    // For edge functions, we only need to directly copy the .vc-config.json
    // and entry point functions.
    // Create the output directory
    fs_1.default.mkdirSync(ctx.functionFilesTargetPath, { recursive: true });
    (0, file_1.copyFile)(path_1.default.join(ctx.functionFilesSourcePath, constants_1.VERCEL_FUNCTION_CONFIG_FILENAME), path_1.default.join(ctx.functionFilesTargetPath, constants_1.VERCEL_FUNCTION_CONFIG_FILENAME), 'Function config file');
    (0, file_1.copyFile)(path_1.default.join(ctx.functionFilesSourcePath, vcConfig.entrypoint), path_1.default.join(ctx.functionFilesTargetPath, vcConfig.entrypoint), 'Function entry point file');
    console.log(`Next.js edge transform COMPLETED for '${ctx.functionPath}'.`);
}
exports.doTransform = doTransform;
