"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyFiles = exports.copyFile = exports.writeFile = void 0;
const fs_1 = __importDefault(require("fs"));
function writeFile(filePath, contents, description) {
    console.log(`Writing ${description} '${filePath}'...`);
    fs_1.default.writeFileSync(filePath, contents, 'utf-8');
}
exports.writeFile = writeFile;
function copyFileOrFiles(srcPath, destPath, description, recursive = false) {
    console.log(`Copying ${description} from '${srcPath}' to '${destPath}'...`);
    fs_1.default.cpSync(srcPath, destPath, { recursive, });
}
function copyFile(srcPath, destPath, description) {
    copyFileOrFiles(srcPath, destPath, description, false);
}
exports.copyFile = copyFile;
function copyFiles(srcPath, destPath, description) {
    copyFileOrFiles(srcPath, destPath, description, true);
}
exports.copyFiles = copyFiles;
