import { ResponseCacheEntry, ResponseGenerator } from 'next/dist/server/response-cache';
/**
 * In this runtime, we always SSR the page, and then let the serve-vercel-build-output
 * layer perform the incremental caching
 */
export default class ComputeJsResponseCache {
    pendingResponses: Map<string, Promise<ResponseCacheEntry | null>>;
    previousCacheItem?: {
        key: string;
        entry: ResponseCacheEntry | null;
        expiresAt: number;
    };
    constructor();
    get(key: string | null, responseGenerator: ResponseGenerator, context: {
        isManualRevalidate?: boolean;
        isPrefetch?: boolean;
    }): Promise<ResponseCacheEntry | null>;
}
//# sourceMappingURL=compute-js.d.ts.map